Bug 132117 - needs to quote gconf keys
needs to quote gconf keys
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On: 1321174
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 18:51 EDT by Jeremy Katz
Modified: 2016-05-02 18:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 16:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-09-08 18:51:22 EDT
gconf keys being the literal essid leads to problems as you can have
essid's which aren't valid to use in a gconf key, eg, e^(i*pi)
Comment 1 Dan Williams 2004-10-12 07:31:41 EDT
Should be fixed in CVS already.
Comment 2 Jeremy Katz 2004-10-12 21:15:37 EDT
Doesn't seem to be fixed in 0.2-4

Bad key or directory name:
"/system/networking/wireless/networks/e^(i*pi)/timestamp": `(' is an
invalid character in key/directory names
Bad key or directory name:
"/system/networking/wireless/networks/e^(i*pi)/essid": `(' is an
invalid character in key/directory names
Comment 3 Jeremy Katz 2004-10-26 21:18:28 EDT
0.3.1-2 fixes for me.
Comment 4 Pierre Ossman 2004-12-14 19:30:55 EST
0.3.1-3 fails here:

Bad key or directory name:
"/system/networking/wireless/networks/Lars&Mia/timestamp": `&' is an
invalid character in key/directory names
Bad key or directory name:
"/system/networking/wireless/networks/Lars&Mia/essid": `&' is an
invalid character in key/directory names
Comment 5 Dan Williams 2005-05-16 16:01:52 EDT
Newer versions should fix this, try 0.3.4 or higher available in fc3-updates.

Note You need to log in before you can comment on or make changes to this bug.